Bug 112396 - Postscript delegate failed
Summary: Postscript delegate failed
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ImageMagick   
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 116727
TreeView+ depends on / blocked
 
Reported: 2003-12-18 22:11 UTC by Kevin Krafthefer
Modified: 2013-04-02 04:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-17 15:32:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ps file that breaks for reproduction (359.16 KB, text/plain)
2003-12-18 22:13 UTC, Kevin Krafthefer
no flags Details
A patch which might fix the problem (584 bytes, patch)
2004-01-29 01:45 UTC, Bernd Schmidt
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:337 normal SHIPPED_LIVE Updated ImageMagick packages 2004-09-01 04:00:00 UTC

Description Kevin Krafthefer 2003-12-18 22:11:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)
Gecko/20030225

Description of problem:
convert on this ps file works fine in rhl9 but breaks in rhel3

[tmp]# convert sea_son.ps test.gif
Unrecoverable error: rangecheck in .putdeviceprops
Unrecoverable error: rangecheck in .putdeviceprops
convert: Postscript delegate failed [No such file or directory].


Version-Release number of selected component (if applicable):
ImageMagick-5.5.6-4

How reproducible:
Always

Steps to Reproduce:
1.[tmp]# convert sea_son.ps test.gif
2.
3.
    

Actual Results:  Unrecoverable error: rangecheck in .putdeviceprops
Unrecoverable error: rangecheck in .putdeviceprops
convert: Postscript delegate failed [No such file or directory].


Expected Results:  it creates a test.gif

Additional info:

wok in rhel3

Comment 1 Kevin Krafthefer 2003-12-18 22:13:10 UTC
Created attachment 96624 [details]
ps file that breaks for reproduction

Comment 2 Jonathan Blandford 2004-01-13 19:38:56 UTC
Specifying the size explicitly seems to work.
convert -size 612x792 test.ps test.gif

Comment 3 Kevin Krafthefer 2004-01-21 20:17:09 UTC
Needing to explicitly specify -size does not look to be a planned
feature; in fact, it makes convert less useful/more of a pain.
Additionally, older version and newer version of convert don't have
this constraint. So this looks to be a bug that needs fixing or a
package that need depricating.

Comment 4 Bernd Schmidt 2004-01-29 01:45:17 UTC
Created attachment 97321 [details]
A patch which might fix the problem

Ok, I've done a bit of debugging, and this patch (which is part of ImageMagick
5.5.7) seems to fix the problem.

Any chance we can still get this in U2?

Comment 5 Bernd Schmidt 2004-01-30 22:09:53 UTC
People tell me we can still add things to the blocker, so I'm doing
just that.

Comment 6 Jonathan Blandford 2004-02-23 19:14:33 UTC
Why is this a U2 blocker?

Comment 7 Bernd Schmidt 2004-02-23 20:58:39 UTC
My mistake.  Should be U3.

Comment 12 Jay Turner 2004-08-17 15:32:14 UTC
Fix confirmed with 5.5.6-5.1.

Comment 13 Jay Turner 2004-09-02 03:33:31 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-337.html



Note You need to log in before you can comment on or make changes to this bug.